Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_Event_Loader Class Reference

Dynamically load an instance of the COS Event Service. More...

`#include <CEC_Event_Loader.h>`

Inheritance diagram for TAO_CEC_Event_Loader:

[legend]
Collaboration diagram for TAO_CEC_Event_Loader:

[legend]
List of all members.

## Public Methods
| TAO_CEC_Event_Loader (void)
| Constructor. More...
| ~TAO_CEC_Event_Loader (void)
| Destructor. More...
Derived from ACE_Service_Object
virtual int | init (int argc, char *argv[])
virtual int | fini (void)
Derived from TAO_Object_Loader
CORBA::Object_ptr | create_object (CORBA::ORB_ptr orb, int argc, char *argv[] ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
## Protected Attributes
CORBA::ORB_var | orb_
| Keep a pointer to the underlying ORB. More...
int | terminate_flag_
| Flag to control the event loop. More...
TAO_CEC_EventChannel_Attributes * | attributes_
| Attributes used to configure the Event Service properties. More...
TAO_CEC_Factory * | factory_
| Factory used to configure the Event Service strategies. More...
TAO_CEC_EventChannel * | ec_impl_
| The Event Service implementation class. More...
CosNaming::NamingContext_var | naming_context_
| Naming Context needed if '-x' option is passed. More...
int | bind_to_naming_service_
| Flag to check if '-x' option is passed. More...
CosNaming::Name | channel_name_
| The name used when binding to the NamingService. More...
## Private Methods
| TAO_CEC_Event_Loader (const TAO_CEC_Event_Loader &)
TAO_CEC_Event_Loader & | operator= (const TAO_CEC_Event_Loader &)

## Detailed Description

Dynamically load an instance of the COS Event Service.

## Constructor & Destructor Documentation

TAO_CEC_Event_Loader::TAO_CEC_Event_Loader | ( | void |  | ) |

| Constructor.

TAO_CEC_Event_Loader::~TAO_CEC_Event_Loader | ( | void |  | ) |

| Destructor.

TAO_CEC_Event_Loader::TAO_CEC_Event_Loader | ( | const TAO_CEC_Event_Loader & |  | ) | `[private]`

## Member Function Documentation

CORBA::Object_ptr TAO_CEC_Event_Loader::create_object | ( | CORBA::ORB_ptr | orb,
|  | int | argc,
|  | char *argv | ACE_ENV_ARG_DECL[]
| ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_Object_Loader.

int TAO_CEC_Event_Loader::fini | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

int TAO_CEC_Event_Loader::init | ( | int | argc,
|  | char * | argv[]
| ) | `[virtual]`

TAO_CEC_Event_Loader& TAO_CEC_Event_Loader::operator= | ( | const TAO_CEC_Event_Loader & |  | ) | `[private]`

## Member Data Documentation

TAO_CEC_EventChannel_Attributes* TAO_CEC_Event_Loader::attributes_`[protected]`

| Attributes used to configure the Event Service properties.

int TAO_CEC_Event_Loader::bind_to_naming_service_`[protected]`

| Flag to check if '-x' option is passed.

CosNaming::Name TAO_CEC_Event_Loader::channel_name_`[protected]`

| The name used when binding to the NamingService.

TAO_CEC_EventChannel* TAO_CEC_Event_Loader::ec_impl_`[protected]`

| The Event Service implementation class.

TAO_CEC_Factory* TAO_CEC_Event_Loader::factory_`[protected]`

| Factory used to configure the Event Service strategies.

CosNaming::NamingContext_var TAO_CEC_Event_Loader::naming_context_`[protected]`

| Naming Context needed if '-x' option is passed.

CORBA::ORB_var TAO_CEC_Event_Loader::orb_`[protected]`

| Keep a pointer to the underlying ORB.

int TAO_CEC_Event_Loader::terminate_flag_`[protected]`

| Flag to control the event loop.

The documentation for this class was generated from the following files:

- CEC_Event_Loader.h
- CEC_Event_Loader.cpp